package com.ruoyi.system.domain.task;

import java.io.Serializable;
import java.util.Date;

public class TkCommonReport implements Serializable {
    private String id;

    /**
     * 任务id
     *
     * @mbg.generated
     */
    private String commonTkId;

    /**
     * 上报人id
     *
     * @mbg.generated
     */
    private String reportUserId;

    /**
     * 上报人角色id
     *
     * @mbg.generated
     */
    private String reportUserRoleId;

    /**
     * 上级领导角色id
     *
     * @mbg.generated
     */
    private String topLeaderRoleId;

    /**
     * 任务上报到哪一级。3三级 2二级 1一级 0中心
     *
     * @mbg.generated
     */
    private String tolevel;

    /**
     * 创建时间
     *
     * @mbg.generated
     */
    private Date createTime;

    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getCommonTkId() {
        return commonTkId;
    }

    public void setCommonTkId(String commonTkId) {
        this.commonTkId = commonTkId;
    }

    public String getReportUserId() {
        return reportUserId;
    }

    public void setReportUserId(String reportUserId) {
        this.reportUserId = reportUserId;
    }

    public String getReportUserRoleId() {
        return reportUserRoleId;
    }

    public void setReportUserRoleId(String reportUserRoleId) {
        this.reportUserRoleId = reportUserRoleId;
    }

    public String getTopLeaderRoleId() {
        return topLeaderRoleId;
    }

    public void setTopLeaderRoleId(String topLeaderRoleId) {
        this.topLeaderRoleId = topLeaderRoleId;
    }

    public String getTolevel() {
        return tolevel;
    }

    public void setTolevel(String tolevel) {
        this.tolevel = tolevel;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", commonTkId=").append(commonTkId);
        sb.append(", reportUserId=").append(reportUserId);
        sb.append(", reportUserRoleId=").append(reportUserRoleId);
        sb.append(", topLeaderRoleId=").append(topLeaderRoleId);
        sb.append(", tolevel=").append(tolevel);
        sb.append(", createTime=").append(createTime);
        sb.append("]");
        return sb.toString();
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        TkCommonReport other = (TkCommonReport) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getCommonTkId() == null ? other.getCommonTkId() == null : this.getCommonTkId().equals(other.getCommonTkId()))
            && (this.getReportUserId() == null ? other.getReportUserId() == null : this.getReportUserId().equals(other.getReportUserId()))
            && (this.getReportUserRoleId() == null ? other.getReportUserRoleId() == null : this.getReportUserRoleId().equals(other.getReportUserRoleId()))
            && (this.getTopLeaderRoleId() == null ? other.getTopLeaderRoleId() == null : this.getTopLeaderRoleId().equals(other.getTopLeaderRoleId()))
            && (this.getTolevel() == null ? other.getTolevel() == null : this.getTolevel().equals(other.getTolevel()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getCommonTkId() == null) ? 0 : getCommonTkId().hashCode());
        result = prime * result + ((getReportUserId() == null) ? 0 : getReportUserId().hashCode());
        result = prime * result + ((getReportUserRoleId() == null) ? 0 : getReportUserRoleId().hashCode());
        result = prime * result + ((getTopLeaderRoleId() == null) ? 0 : getTopLeaderRoleId().hashCode());
        result = prime * result + ((getTolevel() == null) ? 0 : getTolevel().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        return result;
    }
}